dofile( "data/scripts/lib/utilities.lua" )
table.insert( perk_list, 
	{
		id = "FLAMES",
		ui_name = "Flame Aura",
		ui_description = "Surrounds you with an aura of flames",
		ui_icon = "mods/Flames/files/ui_gfx/flames.png",
		perk_icon = "mods/Flames/files/perk_gfx/flames.png",
		game_effect = "PROTECTION_FIRE",
		func = function( entity_perk_item, entity_who_picked, item_name )
		
			local x,y = EntityGetTransform( entity_who_picked )
			local child_id = EntityLoad( "mods/Flames/data/flames_perk.xml", x, y )
			EntityAddChild( entity_who_picked, child_id )
				
		end,
	}	)